package AltFail::Example;
use Mojo::Base 'Mojolicious::Controller';

# This action will render a template
sub welcome {
  my $self = shift;

  # Render template "example/welcome.html.ep" with message
  $self->render(msg => 'Welcome to the Mojolicious real-time web framework!');
}

sub view {
    my $self = shift;

    $self->stash(format => 'txt') unless defined $self->stash('format');

    $self->respond_to(
        txt => sub {
            $self->render('text' => "You viewed ID : " . $self->param('id'))
        },
        json => sub {
            $self->render('json' => {id => $self->param('id') });
        }
    )

}

1;
